:root {
  --blueDark: #00356C;
  --grayLight: #AAAAAA;
  --blackLight: #555555;
}


/* Busqueda */

.busqueda {
  top: 100%;
  left: 0;
  width: 100%;
  background-color: #ffffff;
  border: 1px solid #cccccc;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  max-height: 200px;
  overflow-y: auto;
  z-index: 1;
}

.busqueda > li:hover {
  background-color: #f2f2f2;
}

.buscador{
  width: 25vw;
  background-image: url("./assets/img/lupa.svg");
  background-repeat: no-repeat;
  padding: 10px 10px 10px 40px;
  background-position: 10px;
}

.buscador::placeholder {
  color: var(--grayLight);
}

.buscador:focus-visible {
  outline: 0;
}

.entrada {
  border-radius: 5px;
  border: 0;
}

/*Calendar */
.calendario {
  background: white;
  top: 45px;
  position: absolute;
  padding: 35px 20px;
  border-radius: 5px;
  width: 360px;
}

.cross {
  right: 10px;
  top: 10px;
}

.pressed-button {
  display: inline-block;
  padding: 5px 10px;
  background-color: #d6d6d6;
  border: none;
  border-radius: 5px;
  box-shadow: inset 0 3px 5px rgba(0,0,0,0.2);
  transition: all 0.3s ease;
}

.pressed-button:active {
  transform: translateY(2px);
}

.sombra {
  box-shadow: 0px 3px 5px 0px rgb(0 0 0 / 35%);
}

.cursor-pointer {
  cursor: pointer;
}

.visibility-hidden {
  visibility: hidden;
}

.visibility-visible {
  visibility: visible;
}

.display-none {
  display: none;
}

.display-block {
  display: block;
}

.estado {
  padding: 5px 10px;
  border-radius: 5px;
  justify-content: center;
  text-align: center;
  color: white;
  width: max-content;
}

.conformeIncidencia {
  background-color: #ff9100;
}

.noconformeIncidencia {
  background-color: red;
}

.conformeInspeccion {
  background-color: green;
}

.noconformeInspeccion {
  background-color: red;
}

.creada {
  background-color: var(--blueDark);
}

.cerrada {
  background-color: green;
}

.alturaTabla {
  min-height: 70vh;
  max-height: 70vh;
  overflow-y: auto;
}

.max-content {
  width: max-content;
}

th {
  background-color: var(--blueDark);
  color: white;
  padding: 2px 15px;
  height: 30px !important;
}

td {
  padding: 2px 15px;
}

/** Modal **/
.ventanaModal {
  position: absolute;
  top: 0;
  backdrop-filter: blur(3px);
  left: 0;
  right: 0;
  padding: 30px;
  height: 100%;
}

.modalContent {
  background-color: white;
  border-radius: 5px;
  box-shadow: 0px 3px 5px 0px rgb(0 0 0 / 35%);
}

.loading {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  align-items: center;
}

@media (max-width: 1200px) {
  .calendario {
    width: auto;
  }
}
